#ifndef STATUS_H
#define STATUS_H

/*
 * @(#)Status.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 1999-2004 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

class Status {
	static int
		infoNo,
		sessionsNum0,
		sessionsNumNew,
		sessionsTotal,
		MBwritten0,
		MBwrittenNew;

public:
	Status();
	void addResult(String &date, String &time,
		String &user, int sizeKB, String &result,
//		String &from, String &to, String &label, String &contents);
		Options::ProjectInfo &projectInfo);
	String *getAbout();
	String *getConnects();
	String *getSessions();
	String *getStatistics();
	String *getStatus();
	int getStatusNo() { return ++infoNo; }
	String *getStore();
	String *getWriters();
	void start();

private:
	void readLastResults();
};

extern Status status;

#endif
